#ifndef GROUNDITEM_HPP_INCLUDED
#define GROUNDITEM_HPP_INCLUDED

#include "Renderable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class GroundItem : public Renderable
    {
        public:
            GroundItem(const void* Obj);

            GroundItem() = default;
            GroundItem(GroundItem&& Obj) = default;
            GroundItem(const GroundItem& Obj) = default;
            GroundItem& operator=(GroundItem&& Obj) = default;
            GroundItem& operator=(const GroundItem& Obj) = default;

            static Class GetClass();

            std::int32_t GetAmount() const;
            std::int32_t GetID() const;

    };
}

#endif // GROUNDITEM_HPP_INCLUDED
